1 Reply Latest reply on Sep 18, 2015 6:05 AM by Simon Turner

    how to modify the value of featureCut3 drawing a conical hole

    Tiziano Dangelo

      Hi

      I need to know what is the parameter inside featureCut3 in which I can modify the conical angle hole

      thanks

      cutExtrude.png

      Dim Part As
      Object

      Dim
      boolstatus As Boolean

      Dim
      longstatus As Long, longwarnings As Long

       

      Sub main()

       

      Set swApp =Application.SldWorks

       

      Set Part =swApp.ActiveDoc

      boolstatus= Part.Extension.SelectByID2("Sketch2", "SKETCH", 0, 0, 0,False, 0, Nothing, 0)

      Dim
      myModelView As Objec

      Part.ClearSelection2 True

      boolstatus = Part.Extension.SelectByID2("Sketch2", "SKETCH", 0, 0, 0,False, 4, Nothing, 0)

      Dim
      myFeature As Object

      Set myFeature =
      Part.FeatureManager.FeatureCut3(True, False, False, 0, 0, 0.01, 0.01, True,False, False, False, 0.436332312998583, 1.74532925199433E-02, False, False,
      False, False, False, True, True, True, True, False, 0, 0, False

      Part.SelectionManager.EnableContourSelection= False

      Set myModelView = Part.ActiveView

      End Sub